#
# SOAPCCserver.py - SOAP Server for an IMS model
#
# stardrop-support@optibrium.com
# Optibrium Ltd (C) 2009
#

import SOAPpy

import soapconfig

# smiles - the SMILES string
# extra - if given a "," separated list of floats in descriptor order
# glow - optional bool flag requesting glow calculation
#
def predict(smiles, extra, glow):
    # return value, error float and glows (as ',' separated floats string)
    return [float(smiles.count('C')+smiles.count('c')), 0.0, "" ]

server = SOAPpy.SOAPServer((soapconfig.servername, soapconfig.serverport))
server.registerFunction(predict)
server.serve_forever()

