
# test python plugin-model

from random import random

from implugin import IMPlugin

from modeldescriptions import ContModelDescription

class Bad(IMPlugin):
  def __init__(self):
    model = ContModelDescription('BAD', 
                                  0.0,
                                  10000.0,
                                  header='Bad Guy',
                                  interactive = True,
                                  shortName = 'BAD',
                                  longName = 'Simulate a bad model',
                                  description = 'generates some failures')
    IMPlugin.__init__(self, model)
    
  def predict(self, smiles, extra):
    if int(random() * 10) == 1:
       raise "Bad guys will"
    if int(random() * 10) == 1:
       return []
    return [ random(), 0.0 ]

class Plugin(Bad): # the hook
   pass
