# example continuous python plugin-model

from implugin import IMPlugin

from modeldescriptions import ContModelDescription

class ContModel(IMPlugin):
  def __init__(self):
    model = ContModelDescription('MOD_CONT', 
                                  0.0,
                                  1000000.0,
                                  header='Cont',
                                  interactive = True,
                                  shortName = 'a cont model',
                                  longName = 'a continuous model',
                                  description = 'smalest cont model possible')
    IMPlugin.__init__(self, model)
                                            
  def predict(self, smiles, extra):
    return [0.0, 0.0]

class Plugin(ContModel): # the hook
   pass
