
from SOAPpy import WSDL

import parse

server = WSDL.Proxy("evalsmiles.wsdl")

# discover models
models = server.metaInfo("").strip(" []\t")
models = models.split(", ")

# convert from list format to ' ' separated word string
modelIds = ' '.join([m.strip("\'\"") for m in models])
print modelIds

# get model meta data 
s = server.metaInfo(modelIds)

# convert the python repr() string to list of lists of strings
(meta, rest) = parse.stringtolist(s) 
for m in meta:
  for n in m:
    print n,
  print

print "test eval"
print server.evalSmiles('n1cnc2n(C)c(=O)n(C)c(=O)c12', modelIds) 

